import React from 'react';
import 'rsuite/lib/styles/index.less';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';

import Dashboard from './Dashboard';
import Schedule from './Schedule';
import Login from './Login';
import Register from './Register';
import NavBar from '../components/Navbar/NavBar';

export default function App() {
	return (
		<Router>
			<NavBar />
			<Switch>
				<Route path='/' exact>
					<Schedule />
				</Route>
				<Route path='/dashboard'>
					<Dashboard />
				</Route>
				<Route path='/login'>
					<Login />
				</Route>
				<Route path='/register'>
					<Register />
				</Route>
			</Switch>
		</Router>
	);
}
